%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%bcond_without openssl
%bcond_with nss
%bcond_with gnutls

# Sanity check
%if %{?with_openssl}%{?with_gnutls}%{?with_nss} != 1
%error Exactly one cryptography backend is needed. You may want to use --without openssl
%endif

Name:           pyxmlsec
Version:        0.3.0
Release:        5%{?dist}
Summary:        Python bindings for the XML Security Library

Group:          Development/Libraries
License:        GPLv2+
URL:            http://pyxmlsec.labs.libre-entreprise.org/
Source0:        http://labs.libre-entreprise.org/download.php/430/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  xmlsec1-%{?with_openssl:openssl}%{?with_gnutls:gnutls}%{?with_nss:nss}-devel

%description
PyXMLSec is a set of Python bindings for the XML Security Library, a C
library based on LibXML2. The library supports major XML security standards
including, XML Signature, XML Encryption, Canonical XML and Exclusive
Canonical XML.


%prep
%setup -q

# A non-UTF8 character
iconv -f iso8859-1 -t utf8 <AUTHORS >AUTHORS.utf8
touch -r AUTHORS AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS


%build
echo %{?with_openssl:1}%{?with_gnutls:2}%{?with_nss:3} |
       CFLAGS="%{optflags}" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitearch}/*
%doc AUTHORS ChangeLog COPYING README TODO


%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.3.0-5
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-3
- bcond the cryptography backend, default to OpenSSL

* Wed Apr 15 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-2
- Fix AUTHORs file location for conversion (Marek Mahut)

* Wed Apr 15 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-1
- Initial packaging
